FreeMat

- Main Page
- Related Pages

vtkHierarchicalBoxDataIterator

Section: Visualization Toolkit Filtering Classes

# Usage

To create an instance of class vtkHierarchicalBoxDataIterator, simply invoke its constructor as follows

      obj = vtkHierarchicalBoxDataIterator

# Methods

The class vtkHierarchicalBoxDataIterator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkHierarchicalBoxDataIterator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkHierarchicalBoxDataIterator = obj.NewInstance ()`
- `vtkHierarchicalBoxDataIterator = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetCurrentLevel ()` - Returns the level for the current dataset.
- `int = obj.GetCurrentIndex ()` - Returns the dataset index for the current data object. Valid only if the current data is a leaf node i.e. no a composite dataset.